<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a id="index_g"></a>- g -</h3><ul>
<li>Game()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a497fbf3e1aa8cde7c5ad1c1556535230">He_Arc::RPG::Game</a>
</li>
<li>GetAgility()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a5ccc7ab4a3039340630901c2671428a8">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetBackpack()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a8ca19e00600c97d925e490e1eca3971e">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetBorder()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a5aaa8b8736d40ebf688e48e9abff1828">He_Arc::RPG::Utility</a>
</li>
<li>GetCharactersOnLane()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#ad5e96c488331184c781ebc0ef3f61f4d">He_Arc::RPG::Lane</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#af8c94964014bfb260a1772a33d3a3533">He_Arc::RPG::Room</a>
</li>
<li>GetClassTypeName()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ae69612164d99e1c4b84b05912d03d72e">He_Arc::RPG::CharacterClass</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html#ae3fb420844cfe5cd56d40c0c6ea1d54e">He_Arc::RPG::Necromancer</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_skeleton.html#ad8ac9797a251109390e4baae626d5793">He_Arc::RPG::Skeleton</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_slime.html#a1eaf57d26af00bff92c3078e4606abd8">He_Arc::RPG::Slime</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html#a745467f29720ff3045d3f7e3451e1baa">He_Arc::RPG::Warrior</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a20d755ae7b54d06d887d95ceaa6c065e">He_Arc::RPG::Wizard</a>
</li>
<li>GetDateTimeFromSysClock()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a49d2ed8748b4a0242d5ac72911181951">He_Arc::RPG::Utility</a>
</li>
<li>GetFeature()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a4807f6fee53122a75df7580dcc75dd46">He_Arc::RPG::IObject</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html#a7d45c1aa3de4cac1a8c7c512b0643a47">He_Arc::RPG::Potion</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html#a646184e21bec106d9a9dc3d3bcdbea4f">He_Arc::RPG::Shield</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_sword.html#a60ebd92ad48f2f5db0a4fda6efb9b830">He_Arc::RPG::Sword</a>
</li>
<li>GetGameLevel()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#afda0db7e4efeba899d71a140c4bbfde5">He_Arc::RPG::Game</a>
</li>
<li>GetHp()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#af32d2f582c0a79d14e704162611390ee">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetInstance()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a41142f3dc016102009e720426bd699ab">He_Arc::RPG::LogCollection</a>
</li>
<li>GetIntelligence()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a139c78daaeff2aec35d4b44e1a06318d">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetLaneOfCharacter()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#aca603393006654d28b83f957de4f97ed">He_Arc::RPG::Room</a>
</li>
<li>GetLevel()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a9e5ce353cf6cdb160c7ee7f80b756c07">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetLogLevel()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a1b7b9d82700b4dd63139980aa36a0779">He_Arc::RPG::Log</a>
</li>
<li>GetLogMessage()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a7e659695eb1f8cb46ad06cdb8c270a3c">He_Arc::RPG::Log</a>
</li>
<li>GetLogTime()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a27d5733cdb2c4c09b742f5df5c0b3e74">He_Arc::RPG::Log</a>
</li>
<li>GetLogType()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#ab3be61282e24ac3e3c64c6eb21d9aec1">He_Arc::RPG::Log</a>
</li>
<li>GetMana()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a1f4e7c257f5445fca073a3aeb512512f">He_Arc::RPG::Wizard</a>
</li>
<li>GetName()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a79810fa3d8d053c3c20252e248e344bd">He_Arc::RPG::CharacterClass</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a41f873b2cb40ed5b8de45e0039397142">He_Arc::RPG::IObject</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_spell.html#a0a084940e3f8c49ffaf795d56789fe81">He_Arc::RPG::ISpell</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_normal_damage_spell.html#a3a837242232503e46254fa6d2968f674">He_Arc::RPG::NormalDamageSpell</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html#ac4f63c8495e7351da7522242e56c40c2">He_Arc::RPG::Potion</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html#a91783aba9b640901356e9b08f9b86692">He_Arc::RPG::Shield</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_sword.html#a0ec97df25e05bba0440c99f61808997e">He_Arc::RPG::Sword</a>
</li>
<li>GetNbCharacterOnTheRoom()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a5bd87436a40d3491d62828ccb1a11069">He_Arc::RPG::Lane</a>
</li>
<li>GetNeighbourCharacters()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#ae8e145d0ceade2921652dee247579677">He_Arc::RPG::Room</a>
</li>
<li>GetObject()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0ecb6c230a3199d9ab73cca57e85907a">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetOwner()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a5e571e734bb094cdd9fe65fb5502a9ff">He_Arc::RPG::Lane</a>
</li>
<li>GetPathAndFileName()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a12e8062406b901c53e58d9ef2a77aa7c">He_Arc::RPG::LogCollection</a>
</li>
<li>GetPerception()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aa130bf887bb9724acb0b743cb001ab82">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetRange()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_spell.html#a50ff278f804165aa8efc8a81ae8dfc7c">He_Arc::RPG::ISpell</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_normal_damage_spell.html#a67bcb41cb8ae0135e15a904c17024489">He_Arc::RPG::NormalDamageSpell</a>
</li>
<li>GetSequenceDisplayLane()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a41effc9733129d88a957f036354d18a1">He_Arc::RPG::Lane</a>
</li>
<li>GetSpells()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0900bfb38ea138025e9ee08722894afc">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetStrength()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a7077e043f3aaba9fe29f989778238ddc">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetTeamOfCharacter()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#ad002566ba5741d437b00e52c893bdf4f">He_Arc::RPG::Room</a>
</li>
<li>GetTextLine()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#ab772e56b2cece950f5b0bbba70008970">He_Arc::RPG::Utility</a>
</li>
<li>GetWasMaximalRoll()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html#a02bea22860ecfb54a47e70e291d5d9c1">He_Arc::RPG::Dice&lt; T &gt;</a>
</li>
<li>GetWasMinimalRoll()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html#a1f444ab4b72ab54d9fa85054e7ad1b12">He_Arc::RPG::Dice&lt; T &gt;</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
